
Katello - Bug #37053

hammer host list does not print parameters even if they are present in the fields list like LCE and CVs

01/15/2024 06:00 PM - Chris Roberts

Status: Closed   

Priority: Normal   

Assignee: Chris Roberts   

Category: Hosts   

Target version: Katello 4.12.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 2255900 Red Hat JIRA:  

Pull request: https://github.com/Katello/hammer-cli-kat

ello/pull/922

  

Description

Description of problem:

After upgrade to Satellite 6.14 hammer cli command "hammer host list" does no longer display information about lifecycle

environments and content views not via "DEFAULT" or "ALL" or even if specifically requested via --fields option. It is only visible for

each host when using "hammer host info --name <servername>".

Example output:

[XXX@satellite ~]$ hammer host list --per-page 2

-----|-------------------------------------|------------------|------------|---------------|-------------------|--------------

ID   | NAME                                | OPERATING SYSTEM | HOST GROUP | IP            | MAC               | GLOBAL STATUS

-----|-------------------------------------|------------------|------------|---------------|-------------------|--------------

1915 | xxx                                    | RedHat 8.7       |            | 10.xx.xxx.xx  | 00:50:56:8a:da:XX | Error

Version-Release number of selected component (if applicable):

Satellite 6.14.

Until 6.13 it was showing the LCE and CV details.

Actual results:

satellite ~]$ hammer host list --per-page 2

-----|-------------------------------------|------------------|------------|---------------|-------------------|--------------

ID   | NAME                                | OPERATING SYSTEM | HOST GROUP | IP            | MAC               | GLOBAL STATUS

-----|-------------------------------------|------------------|------------|---------------|-------------------|--------------

1915 | xxx                                    | RedHat 8.7       |            | 10.xx.xxx.xx  | 00:50:56:8a:da:XX | Error

Expected results:

To list LCE and CV details.

Associated revisions

Revision 9a6ae05c - 01/22/2024 06:30 PM - Chris Roberts

Fixes #37053 - Add CV/LCE back host list params

History

#1 - 01/15/2024 07:03 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/hammer-cli-katello/pull/922 added

#2 - 01/17/2024 06:44 PM - Quinn James

- Triaged changed from No to Yes

#3 - 01/22/2024 06:30 PM - Chris Roberts

- Status changed from Ready For Testing to Closed
